Bug 196733 - openjade dependency not satisfied upon installation
openjade dependency not satisfied upon installation
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-26 15:19 EDT by Jonathan Underwood
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-17 15:50:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anacond.log (21.05 KB, text/plain)
2006-06-30 09:29 EDT, Jonathan Underwood
no flags Details
anaconda.syslog (147.26 KB, text/plain)
2006-06-30 09:30 EDT, Jonathan Underwood
no flags Details
anaconda.xlog (57.95 KB, application/octet-stream)
2006-06-30 09:31 EDT, Jonathan Underwood
no flags Details
install.log (27.66 KB, text/plain)
2006-06-30 09:31 EDT, Jonathan Underwood
no flags Details

  None (edit)
Description Jonathan Underwood 2006-06-26 15:19:12 EDT
Description of problem:
The openjade dependency is not satisfied during a fresh install of FC-5:
# package-cleanup --problems
Setting up yum
Reading local RPM database
Processing all local requires
Missing dependencies:
Package docbook-dtds requires openjade = 1.3.2
[root@pasiphae jgu]# grep docbook /var/log/yum.log
[root@pasiphae jgu]# grep docbook /var/log/yum.log.1
[root@pasiphae jgu]# rpm -qa | grep docbook
docbook-dtds-1.0-30

See also:
https://www.redhat.com/archives/fedora-devel-list/2006-June/msg00929.html
https://www.redhat.com/archives/fedora-devel-list/2006-June/msg00925.html

Version-Release number of selected component (if applicable):
1.0-30

How reproducible:
Every time

Steps to Reproduce:
1. Install docbook-dtds as part of a FC-5 install
2.
3.
  
Actual results:
openjade package not pulled in to satisfy the dependency

Expected results:
openjade installed as a dependency

Additional info:
Comment 1 Paul Nasrat 2006-06-30 09:20:49 EDT
Please attach /root/install.log /var/log/anaconda*
Comment 2 Jonathan Underwood 2006-06-30 09:29:44 EDT
Created attachment 131807 [details]
anacond.log
Comment 3 Jonathan Underwood 2006-06-30 09:30:31 EDT
Created attachment 131809 [details]
anaconda.syslog
Comment 4 Jonathan Underwood 2006-06-30 09:31:14 EDT
Created attachment 131810 [details]
anaconda.xlog
Comment 5 Jonathan Underwood 2006-06-30 09:31:34 EDT
Created attachment 131811 [details]
install.log
Comment 6 Jonathan Underwood 2006-06-30 09:34:18 EDT
Requested info attached in Comment #2 - Comment #5
Comment 7 Paul Nasrat 2006-07-06 08:18:54 EDT
From the log we can see are specifically setting whiteout which negates the dep:

20:19:28 DEBUG   : ignoring openjade>docbook-dtds in whiteout

I'll have to look to see if the whiteout can go (it would have been set for loop
breaking).

Note You need to log in before you can comment on or make changes to this bug.